Retrieves the job_estimated_quantity with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_estimated_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| estimated_quantity |
Estimated quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| article_id |
Foreign key of the article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| reference_back_office |
The Id/Ref of the back office for this job. Used by Embedded entity |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "094c35da-371b-42e7-88b4-79f2a7517f85",
"estimated_quantity": 2.0,
"article_id": "96230547-29e3-46f0-8734-6badb2a63516",
"article_code": "sample string 4",
"article": {
"id": "0fdf4a45-ef01-4f4c-b18e-8d9e233acdd6",
"article_category_id": "284fcd2d-2f73-4c7f-a3b2-d63a3141affa",
"article_category": {
"id": "a662d4b2-7e07-4a84-8702-158c1453bf6b",
"parent_id": "83e9739c-a0ec-497f-b03b-a9affac7f42d",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-07T05:01:51.1672322+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "85edce89-16c0-4064-8454-03f91c74efdd",
"article_group_1_code": "sample string 5",
"article_group_2_id": "9f79b74e-32ee-47c2-beb5-413657d74b66",
"article_group_2_code": "sample string 7",
"article_group_3_id": "43a337bc-07c2-4046-9850-6b7ddd0983e7",
"article_group_3_code": "sample string 9",
"article_group_4_id": "00b03bed-0332-4048-948c-b7b827361fb8",
"article_group_4_code": "sample string 11",
"article_group_5_id": "f627b090-2548-4bfd-8417-f5c0c9ed8a30",
"article_group_5_code": "sample string 13",
"article_group_6_id": "e4c59516-ac76-4acc-848a-c21fbbc5e69e",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-07T05:01:51.1672322+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-07T05:01:51.1672322+00:00",
"date_update": "2026-11-07T05:01:51.1672322+00:00",
"modified_dateutc": "2026-11-07T05:01:51.1672322+00:00",
"article_color_id": "8973f612-67e0-4896-90ed-b6bbe49ac05e",
"article_color_code": "sample string 38",
"article_color": {
"id": "1590d421-8674-4ae6-82a3-ec198f2ded17",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-07T05:01:51.1672322+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "1d19019a-2967-4c48-8400-7d99e4c85b5e",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "ae13ebf1-35a3-49cf-afc0-2d77cca52ad2",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"jobs_id": "d28d6ae8-cd32-4515-9938-8c702927bee1",
"jobs_reference_back_office": "sample string 6",
"jobs": {
"id": "84414a7c-5904-44be-a66f-6ce62fa71684",
"_parent_id": "48d10865-162c-478d-a5e9-db522e953aa6",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "103fbeb8-78be-4021-b0d7-63df76b5eb1a",
"project_reference_back_office": "sample string 5",
"project": {
"id": "b62b0e3c-1b34-41c0-93ee-67a84dd4113a",
"_parent_id": "98688a3a-1574-479b-8c1c-a7d5f2251b17",
"root_parent_id": "ca62e400-1feb-4977-aba7-71f20149c50d",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "98fdd16a-d8a1-4bd4-a4d1-db0b33900be5",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "7fbbfd5d-e5e8-45a5-81d3-83ab58a336e9",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "194cbd59-1979-4473-b21e-b9128fd8dcb9",
"_parent_code": "sample string 6",
"sales_organization_id": "c3e05c82-e3b1-47de-b4e1-f60ac735b8e7",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "b0b65fb7-ef8e-444b-baf7-24961ab98165",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "02b24361-1f6f-451c-99d7-bb4f0c6d4f49",
"db_currency_id": "89e0881b-baf3-46ac-823a-851141576b7b",
"db_language_id": "d643ec48-12bf-459f-827e-a637d01f006f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-07T05:01:51.1958817+00:00"
},
"modified_dateutc": "2026-11-07T05:01:51.1958817+00:00"
},
"equipment_model_id": "b08b280e-d18e-40c7-8be6-f6e091535067",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "6d788154-4753-4333-9fd2-ac565314aa83",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "c8098f1f-8a3c-400e-b808-830a914285c0",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "21152791-c8d7-42f8-b727-8f46e71a593b",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "46148a09-c943-4874-96f7-71686c70afd5",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "b0b65fb7-ef8e-444b-baf7-24961ab98165",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "02b24361-1f6f-451c-99d7-bb4f0c6d4f49",
"db_currency_id": "89e0881b-baf3-46ac-823a-851141576b7b",
"db_language_id": "d643ec48-12bf-459f-827e-a637d01f006f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-07T05:01:51.1958817+00:00"
},
"modified_dateutc": "2026-11-07T05:01:51.1958817+00:00"
},
"equipment_family_id": "cb203a34-14b2-40cd-81e6-8d493f0177d0",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "7fbbfd5d-e5e8-45a5-81d3-83ab58a336e9",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "194cbd59-1979-4473-b21e-b9128fd8dcb9",
"_parent_code": "sample string 6",
"sales_organization_id": "c3e05c82-e3b1-47de-b4e1-f60ac735b8e7",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "b0b65fb7-ef8e-444b-baf7-24961ab98165",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "02b24361-1f6f-451c-99d7-bb4f0c6d4f49",
"db_currency_id": "89e0881b-baf3-46ac-823a-851141576b7b",
"db_language_id": "d643ec48-12bf-459f-827e-a637d01f006f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-07T05:01:51.1958817+00:00"
},
"modified_dateutc": "2026-11-07T05:01:51.1958817+00:00"
},
"date_in_production_since": "2026-11-07T05:01:51.1958817+00:00",
"date_out_of_production_since": "2026-11-07T05:01:51.1958817+00:00",
"date_end_support": "2026-11-07T05:01:51.1958817+00:00",
"sales_organization_id": "af7b167a-6a41-41ad-8f58-f87ee753bb98",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "b0b65fb7-ef8e-444b-baf7-24961ab98165",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "02b24361-1f6f-451c-99d7-bb4f0c6d4f49",
"db_currency_id": "89e0881b-baf3-46ac-823a-851141576b7b",
"db_language_id": "d643ec48-12bf-459f-827e-a637d01f006f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-07T05:01:51.1958817+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-07T05:01:51.1958817+00:00"
},
"project_status_id": "db954aa1-69dc-450e-99c5-6c3fe77968ed",
"project_status_code": "sample string 10",
"project_status": {
"id": "35e8f7bc-9d76-4cdb-9609-57909ad42ec7",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "f76db91b-5012-468e-8aae-13c58f2a02c3",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "b0b65fb7-ef8e-444b-baf7-24961ab98165",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "02b24361-1f6f-451c-99d7-bb4f0c6d4f49",
"db_currency_id": "89e0881b-baf3-46ac-823a-851141576b7b",
"db_language_id": "d643ec48-12bf-459f-827e-a637d01f006f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-07T05:01:51.1958817+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-07T05:01:51.1958817+00:00"
},
"company_id": "9b333bde-6a7d-4e5f-b137-edd68e4d99d7",
"company_code": "sample string 12",
"db_address_id": "6e4c67db-23ce-4d22-9476-94cb1c75a152",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "04c72930-c0b6-460a-8d89-ae9da4d90139",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "7d601e7b-52ed-479c-a460-42ee72f52738",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-07T05:01:51.1958817+00:00",
"date_create": "2026-11-07T05:01:51.1958817+00:00",
"date_update": "2026-11-07T05:01:51.1958817+00:00",
"updated_by_user_id": "1dfa16d7-0013-41d8-9cfd-54978d60b03e",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-07T05:01:51.1958817+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-07T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-07T05:01:51.1958817+00:00",
"date_last_job": "2026-11-07T05:01:51.1958817+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-07T05:01:51.1958817+00:00",
"modified_dateutc": "2026-11-07T05:01:51.1958817+00:00",
"is_mobile_installation": true
},
"job_type_id": "6475c78f-62fa-43dc-a9b8-188b0d42e9bd",
"job_type_code": "sample string 7",
"job_type": {
"id": "4e16ac77-6847-4c5b-a7fb-f64fa66b0f31",
"name": "sample string 2",
"sales_organization_id": "d21e94c9-7db1-43d7-a4cd-f600624180b0",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-07T05:01:51.1958817+00:00",
"code": "sample string 7"
},
"job_priority_id": "5dee9065-bbaf-4559-92c1-baec46cb41cb",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "6f68a04d-71ac-435c-8283-717276e65c22",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "51c27822-7485-4fd6-bab9-96f06b7b2dba",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "b0b65fb7-ef8e-444b-baf7-24961ab98165",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "02b24361-1f6f-451c-99d7-bb4f0c6d4f49",
"db_currency_id": "89e0881b-baf3-46ac-823a-851141576b7b",
"db_language_id": "d643ec48-12bf-459f-827e-a637d01f006f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-07T05:01:51.1958817+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-07T05:01:51.1958817+00:00"
},
"job_status_id": "135c3746-c02f-4efa-98b8-d53741238ecb",
"job_status_code": "sample string 11",
"db_address_id": "28419f0d-dd82-4b33-aa69-2fa7424652e7",
"contact_id": "dd738bbb-60d6-41a9-8df2-d8ade97c2843",
"requested_by_company_id": "108dbd4f-1006-4bc4-baa0-5d189b06ac05",
"requested_by_contact_id": "bff85fb8-a3d0-4cad-9b83-83ecee58422e",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-07T05:01:51.1958817+00:00",
"due_date": "2026-11-07T05:01:51.1958817+00:00",
"date_create": "2026-11-07T05:01:51.1958817+00:00",
"date_update": "2026-11-07T05:01:51.1958817+00:00",
"date_closed": "2026-11-07T05:01:51.1958817+00:00",
"suggested_user_id": "35de7e63-ecfb-48ce-9e30-6d78a9151821",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "fd3fceee-7a82-4579-ad93-260f9c75178e",
"db_language_id": "b016e9b1-8a78-45c7-b324-f8712b5099aa",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-07T05:01:51.1958817+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "a23f4152-bd9e-49b0-8996-74a90eafd1b6",
"sales_organization": {
"id": "b0b65fb7-ef8e-444b-baf7-24961ab98165",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "02b24361-1f6f-451c-99d7-bb4f0c6d4f49",
"db_currency_id": "89e0881b-baf3-46ac-823a-851141576b7b",
"db_language_id": "d643ec48-12bf-459f-827e-a637d01f006f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-07T05:01:51.1958817+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "a792e9a1-211b-41cd-89ef-58e676665cc6",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "58bd0891-3dd9-45c3-8916-57111b068a84",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-07T05:01:51.1958817+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "06f094ee-0274-426d-ac2e-50e16015e723"
},
"suggested_date_start": "2026-11-07T05:01:51.1958817+00:00",
"skill_id": "4efec269-a6a0-4334-9392-5e51a27e9013",
"skill_code": "sample string 32",
"skill": {
"id": "ed44d8b4-3ed7-4dcb-b10a-bf4fef405315",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "505c42bd-f5b4-466f-a245-d98f47c05dde",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "b0b65fb7-ef8e-444b-baf7-24961ab98165",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "02b24361-1f6f-451c-99d7-bb4f0c6d4f49",
"db_currency_id": "89e0881b-baf3-46ac-823a-851141576b7b",
"db_language_id": "d643ec48-12bf-459f-827e-a637d01f006f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-07T05:01:51.1958817+00:00"
},
"modified_dateutc": "2026-11-07T05:01:51.1958817+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "560084f6-5b42-4f29-89b0-287b5b85662c",
"date_reported_by_company": "2026-11-07T05:01:51.1958817+00:00",
"id2": 36,
"company_id": "28cee161-a49b-4b48-b7fd-fdcf62423081",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "0d81fd85-1864-4a40-a6a7-70e9f83dcc06",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-07T05:01:51.1958817+00:00"
},
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-07T05:01:51.1958817+00:00"
}